Bug 1010716 - [abrt] apt-0.5.15lorg3.95-9.git522.1.fc20: luaD_throw: Process /usr/bin/apt-get was killed by signal 6 (SIGABRT)
[abrt] apt-0.5.15lorg3.95-9.git522.1.fc20: luaD_throw: Process /usr/bin/apt-g...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mosaab Alzoubi
Fedora Extras Quality Assurance
abrt_hash:54869a3d3b08c11938648805c67...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 14:09 EDT by Alexander
Modified: 2015-06-29 08:25 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.88 KB, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details
File: core_backtrace (3.96 KB, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details
File: dso_list (3.35 KB, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details
File: environ (2.00 KB, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details
File: maps (15.40 KB, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details
File: open_fds (327 bytes, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details
File: proc_pid_status (904 bytes, text/plain)
2013-09-22 14:09 EDT, Alexander
no flags Details

  None (edit)
Description Alexander 2013-09-22 14:09:11 EDT
Description of problem:
I tried to install a packet via apt-get package manager

Version-Release number of selected component:
apt-0.5.15lorg3.95-9.git522.1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        apt-get install skype
crash_function: luaD_throw
executable:     /usr/bin/apt-get
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 luaD_throw at ldo.c:119
 #3 luaG_errormsg at ldebug.c:569
 #4 luaG_runerror at ldebug.c:578
 #5 luaG_typeerror at ldebug.c:515
 #6 luaV_settable at lvm.c:163
 #7 lua_settable at lapi.c:752
 #8 Lua::SetGlobal at luaiface.cc:405
 #9 DoInstall at apt-get.cc:1238
 #10 CommandLine::DispatchArg at contrib/cmndline.cc:346
Comment 1 Alexander 2013-09-22 14:09:16 EDT
Created attachment 801284 [details]
File: backtrace
Comment 2 Alexander 2013-09-22 14:09:21 EDT
Created attachment 801285 [details]
File: cgroup
Comment 3 Alexander 2013-09-22 14:09:25 EDT
Created attachment 801286 [details]
File: core_backtrace
Comment 4 Alexander 2013-09-22 14:09:28 EDT
Created attachment 801287 [details]
File: dso_list
Comment 5 Alexander 2013-09-22 14:09:32 EDT
Created attachment 801288 [details]
File: environ
Comment 6 Alexander 2013-09-22 14:09:36 EDT
Created attachment 801289 [details]
File: limits
Comment 7 Alexander 2013-09-22 14:09:40 EDT
Created attachment 801290 [details]
File: maps
Comment 8 Alexander 2013-09-22 14:09:44 EDT
Created attachment 801291 [details]
File: open_fds
Comment 9 Alexander 2013-09-22 14:09:48 EDT
Created attachment 801292 [details]
File: proc_pid_status
Comment 10 Retlaw Dlawso 2014-02-02 15:25:02 EST
Another user experienced a similar problem:

my command in a terminal: apt-get install postgresql

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        apt-get install postgresql
crash_function: luaD_throw
executable:     /usr/bin/apt-get
kernel:         3.12.8-300.fc20.x86_64
package:        apt-0.5.15lorg3.95-9.git522.1.fc20
reason:         apt-get killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 11 Alberto Morglia 2014-02-07 08:56:33 EST
Another user experienced a similar problem:

trying to install w32codecs using apt-get as root

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        apt-get install w32codecs
crash_function: luaD_throw
executable:     /usr/bin/apt-get
kernel:         3.12.9-301.fc20.i686+PAE
package:        apt-0.5.15lorg3.95-9.git522.1.fc20
reason:         apt-get killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 12 Michal Nowak 2014-05-03 16:16:32 EDT
I am unable to install DEB packages with apt on Fedora due to this bug. Any idea what might be wrong?
Comment 13 Panu Matilainen 2014-05-05 02:16:43 EDT
You cannot install DEB packages on Fedora, and apt is not relevant to that inability.
Comment 14 Michal Nowak 2014-05-05 02:56:47 EDT
(In reply to Panu Matilainen from comment #13)
> You cannot install DEB packages on Fedora, and apt is not relevant to that
> inability.

Thanks, then I'd suggest to alter apt's package description "APT-RPM is a port of Debian's apt tools for RPM based distributions. It provides the apt-get utility that provides a simple, safe way to install and upgrade packages." that it does not "install and upgrade packages" on Fedora.
Comment 15 Panu Matilainen 2014-05-05 04:16:11 EDT
I think you're misunderstanding the meaning of "port" here: apt-rpm does just the same (install and upgrade packages etc) as apt on Debian, but apt-rpm works on RPM packages, not DEB. So you can use apt-rpm to manage Fedora packages.

All that said, you'll be better off using the "native" package managers, yum or the newcomer dnf. The apt-rpm project is long since rather dead.
Comment 16 Michal Nowak 2014-05-05 04:25:56 EDT
Ah, thanks a lot for the explanation, and sorry for my ignorance. Originally I hoped to be able to install DEBs on Fedora; for day to day use I am with dnf.
Comment 17 s0979422 2014-05-12 01:27:08 EDT
Another user experienced a similar problem:

Installed apt, apt-cache-ng and the apt-update package. source list building went fine, when I tried to perform apt-get search dropbox, the error occurred.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        apt-cache search dropbox
crash_function: luaD_throw
executable:     /usr/bin/apt-cache
kernel:         3.14.3-200.fc20.x86_64
package:        apt-0.5.15lorg3.95-9.git522.1.fc20
reason:         apt-cache killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 18 Fedora Admin XMLRPC Client 2015-03-03 08:09:52 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora End Of Life 2015-05-29 05:26:14 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-06-29 08:25:53 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.